Debian Bug report logs - #675390
ruby-pgplot: FTBFS in sid: error: expected expression before '[' token

version graph

Package: ruby-pgplot; Maintainer for ruby-pgplot is Youhei SASAKI <uwabami@gfd-dennou.org>; Source for ruby-pgplot is src:ruby-pgplot.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Thu, 31 May 2012 19:03:04 UTC

Severity: serious

Found in version ruby-pgplot/0.1.3-2

Fixed in version ruby-pgplot/0.1.3-3

Done: Youhei SASAKI <uwabami@gfd-dennou.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug#675390; Package ruby-pgplot. (Thu, 31 May 2012 19:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Youhei SASAKI <uwabami@gfd-dennou.org>. (Thu, 31 May 2012 19:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ruby-pgplot: FTBFS in sid: error: expected expression before '[' token
Date: Thu, 31 May 2012 21:00:08 +0200
[Message part 1 (text/plain, inline)]
Package: ruby-pgplot
Version: 0.1.3-2
Severity: serious
Justification: FTBFS

Hello,

ruby-pgplot currently FTBFS in sid:

rb_pgplot.c: In function 'rb_pgplot_pgend':
rb_pgplot.c:1227:3: error: expected expression before '[' token

See attached full log.

Samuel

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.4 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
Samuel Thibault <samuel.thibault@fnac.net>
<N> bon comment on fait de l'investigation pour savoir qui est le vilain ?
<s> on d├ębranche le routeur et on regarde qui s'affole
 -+- #ens-mim administre -+-
[ruby-pgplot.log (text/plain, attachment)]

Reply sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
You have taken responsibility. (Fri, 01 Jun 2012 11:05:49 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Fri, 01 Jun 2012 11:05:53 GMT) Full text and rfc822 format available.

Message #10 received at 675390-close@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: 675390-close@bugs.debian.org
Subject: Bug#675390: fixed in ruby-pgplot 0.1.3-3
Date: Fri, 01 Jun 2012 10:34:04 +0000
Source: ruby-pgplot
Source-Version: 0.1.3-3

We believe that the bug you reported is fixed in the latest version of
ruby-pgplot, which is due to be installed in the Debian FTP archive:

ruby-pgplot-dbg_0.1.3-3_amd64.deb
  to contrib/r/ruby-pgplot/ruby-pgplot-dbg_0.1.3-3_amd64.deb
ruby-pgplot_0.1.3-3.debian.tar.gz
  to contrib/r/ruby-pgplot/ruby-pgplot_0.1.3-3.debian.tar.gz
ruby-pgplot_0.1.3-3.dsc
  to contrib/r/ruby-pgplot/ruby-pgplot_0.1.3-3.dsc
ruby-pgplot_0.1.3-3_amd64.deb
  to contrib/r/ruby-pgplot/ruby-pgplot_0.1.3-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675390@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Youhei SASAKI <uwabami@gfd-dennou.org> (supplier of updated ruby-pgplot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 01 Jun 2012 19:09:17 +0900
Source: ruby-pgplot
Binary: ruby-pgplot ruby-pgplot-dbg
Architecture: source amd64
Version: 0.1.3-3
Distribution: unstable
Urgency: low
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Changed-By: Youhei SASAKI <uwabami@gfd-dennou.org>
Description: 
 ruby-pgplot - Ruby interface to the PGPLOT graphics library
 ruby-pgplot-dbg - Ruby-PGPLOT debbugins symbols
Closes: 675390
Changes: 
 ruby-pgplot (0.1.3-3) unstable; urgency=low
 .
   * Bump Standard version: 3.9.3
   * Fix FTBFS, Thanks to Samuel Thibault! (Closes: #675390)
   * Change patch handling: Use gbp-pq
   * Update debian/copyright for format 1.0
   * Remove unneeded REAMDE.source
Checksums-Sha1: 
 8bf284ddb1a62fdd1ab4d7a19e8e1767b03891c4 2133 ruby-pgplot_0.1.3-3.dsc
 4210cfd4d8f7353b2b34d5d141e52e937055cc35 36055 ruby-pgplot_0.1.3.orig.tar.gz
 409a2ac33f96261c532fab9f9263f21f9aec24f1 15840 ruby-pgplot_0.1.3-3.debian.tar.gz
 05bb7bcf5691c2f24bffcd05874a8955f3b6df67 51620 ruby-pgplot_0.1.3-3_amd64.deb
 5f32e7566f29eddec2a716806f6b9b7cdf23419a 63830 ruby-pgplot-dbg_0.1.3-3_amd64.deb
Checksums-Sha256: 
 3df61c35874ea3fb3b758bef42a2e43fd387710dcdac68c8f9c59a4096570b90 2133 ruby-pgplot_0.1.3-3.dsc
 262cc8cf48ed63060049cb3fc0e8c347dfe2776b165f504c3585512dcd75b619 36055 ruby-pgplot_0.1.3.orig.tar.gz
 8436d3df857a07c19174571683812c432ea8e17494713a5c60f261ca097b841e 15840 ruby-pgplot_0.1.3-3.debian.tar.gz
 547dd58b27c0666c1b003500d213ad6b20a1d5fbc7448266b893855b06eaa9bf 51620 ruby-pgplot_0.1.3-3_amd64.deb
 ee743fc609993f489bc2bf803dd65e93d8e0e1d1c52fa90ac2233f0df97fe8b0 63830 ruby-pgplot-dbg_0.1.3-3_amd64.deb
Files: 
 ef825eb44a88584e802ae98457164176 2133 contrib/ruby optional ruby-pgplot_0.1.3-3.dsc
 c88da0694c24b7e0d65bf531e96a3efc 36055 contrib/ruby optional ruby-pgplot_0.1.3.orig.tar.gz
 9f3d8b3e9d77b77f5182874654e8a6f2 15840 contrib/ruby optional ruby-pgplot_0.1.3-3.debian.tar.gz
 28f1a7ed99a3a18f1fae235a2d9a3e12 51620 contrib/ruby optional ruby-pgplot_0.1.3-3_amd64.deb
 3ff2ee1899ab9fbd577e9c6d08424198 63830 contrib/debug extra ruby-pgplot-dbg_0.1.3-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPyJgTAAoJEJOU81SJHX4HjXkP/iVGORECfxJUyqadhcMJOmAm
ogpoNbUNsrvbsd0QQgxfkpnaIsu74Dwsa+TxtpWkp32ZOkXjU3D1xtEWlkSlxLay
F1HZp+SNlc9I2Cas4wmyfK5Ce6fPnJ92gygjk/8u2O5DjzXXkSQib2XS7yKI43/o
IBWCHBgI3KH9kDvf4jj69WQswDRlylEmFelhHox4g/mOxDdRjtP/kdQLsMYb5IYS
x7x0n6+PebJHTX8iFcVJOGX/epID8oTkKIX9Au1y6gSxwMeT+hVmX4hAY30dcxfO
fWOMK5lsv7yxtzMS14c6TRn4kpF8Lpp5FBvZpudws+lG1n/tkvyfaXkQbNKTkPfD
IjntIwnGIksGNzlaWetwvu/OtjtXCmTcNpJIhU8XKDyo5w2z++WMtdX2lSiktDgU
cRg7mP6vwFq5gt4PDgVu6NfMscNXwnvEDakb0O7G4Q6S+HuGfTUwEcFL1b4g3J5B
I04mEr1LFqnVrY5p6xnbIians6F986Ls2yujQx6vGDjyCe1Wjj1XXKS9dQeLK+WL
K8lNm7xIweRMQI4TsmNnNY581lHOieI/P9HF7gfv7dJXaW6rre35N4kgpxANSR/S
jFovaBlbczo7030E1M6TvVZd2vpkjMY2r8KyxBp0i6xGmQ9ESAuyM43VSr5n8WCy
qj5M0OLOOTN/IRTIaKtk
=Ez6d
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Dec 2012 07:28:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:15:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.